Index: general/prog/swig.xml
===================================================================
--- general/prog/swig.xml	(revision 2e15af7901bb60d1d99a5e8182c278ddec71e9fa)
+++ general/prog/swig.xml	(revision 5101276021c6db11df122d3386fbd07edf396c2a)
@@ -7,7 +7,7 @@
   <!ENTITY swig-download-http "&sourceforge-repo;/swig/swig-&swig-version;.tar.gz">
   <!ENTITY swig-download-ftp  " ">
-  <!ENTITY swig-md5sum        "4bc5f46a6cdedbd8f579b25fafc96fd6">
+  <!ENTITY swig-md5sum        "bb4ab8047159469add7d00910e203124">
   <!ENTITY swig-size          "7.6 MB">
-  <!ENTITY swig-buildsize     "93 MB (1.1 GB with tests)">
+  <!ENTITY swig-buildsize     "94 MB (1.1 GB with tests)">
   <!ENTITY swig-time          "0.4 SBU (25 SBU for the tests)">
 ]>
@@ -127,11 +127,14 @@
 
     <para>
-      To test the results, issue: <command>make -k check</command>. Tests for
-      many languages are executed, depending on which ones you have installed.
-      Therefore, disk space and SBU values for the tests should be considered
-      only indications of necessary space and time, but not even approximated
-      values should they be considered. If you have both <xref
-      linkend="python2"/> and <xref linkend="python3"/> installed, the
-      Python-3 tests are not run.  You can run tests for Python-3 by issuing
+      To test the results, issue:
+      <command>make -k check TCL_INCLUDE= GOGCC=true</command>. The (un)setting
+      of the two variables <envar>GOGCC</envar> and <envar>TCL_INCLUDE</envar>
+      is necessary, since they are not correctly set by
+      <emphasis>configure</emphasis>. The tests are only executed for the
+      languages installed on your machine, so the disk space and SBU values
+      given for the tests may vary, and should be considered as mere orders of
+      magnitude. If you have both <xref linkend="python2"/> and
+      <xref linkend="python3"/> installed, the Python-3 tests are not run.
+      You can run tests for Python-3 by issuing
       <command>PY3=1 make check-python-examples</command> followed by
       <command>PY3=1 make check-python-test-suite</command>.  According to
@@ -149,5 +152,4 @@
   </sect2>
 
-  <!--Optional section-->
   <sect2 role="commands">
     <title>Command Explanations</title>
@@ -166,4 +168,5 @@
       SWIG implementation is very incomplete and a lot of tests fail.
     </para>
+
   </sect2>
 
@@ -185,5 +188,5 @@
         <seg>
           /usr/share/doc/swig-&swig-version; and
-          /usr/share/swig/&swig-version;
+          /usr/share/swig
         </seg>
       </seglistitem>
@@ -194,8 +197,4 @@
       <?dbfo list-presentation="list"?>
       <?dbhtml list-presentation="table"?>
-
-      <!-- If the program or library name conflicts (is the same) as the
-      package name, add -prog or -lib to the varlistentry entity id
-      and the 2nd entry of the indexterm zone entity -->
 
       <varlistentry id="swig-prog">
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 2e15af7901bb60d1d99a5e8182c278ddec71e9fa)
+++ introduction/welcome/changelog.xml	(revision 5101276021c6db11df122d3386fbd07edf396c2a)
@@ -47,4 +47,8 @@
       <para>June 16th, 2016</para>
       <itemizedlist>
+        <listitem>
+          <para>[pierre] - Update to SWIG-3.0.10. Fixes
+          <ulink url="&blfs-ticket-root;7924">#7924</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[ken] - Reinstate build command for firefox which I accidentally
Index: packages.ent
===================================================================
--- packages.ent	(revision 2e15af7901bb60d1d99a5e8182c278ddec71e9fa)
+++ packages.ent	(revision 5101276021c6db11df122d3386fbd07edf396c2a)
@@ -302,5 +302,5 @@
 <!ENTITY slang-version                "2.2.4">
 <!ENTITY subversion-version           "1.9.4">
-<!ENTITY swig-version                 "3.0.9">
+<!ENTITY swig-version                 "3.0.10">
 <!ENTITY tcl-version                  "8.6.5">
 <!ENTITY tk-version                   "8.6.5">