Index: general.ent
===================================================================
--- general.ent	(revision a6b95b9d42590de37de20fee62e9b02fc0b937d4)
+++ general.ent	(revision 522505656250d6303e853996b6a7b68c060c561d)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "05">                   <!-- Always 2 digits -->
+<!ENTITY day          "06">                   <!-- Always 2 digits -->
 <!ENTITY month        "10">                   <!-- Always 2 digits -->
 <!ENTITY year         "2020">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "October 5th, &year;">
+<!ENTITY releasedate  "October 6th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: gnome/platform/gdm.xml
===================================================================
--- gnome/platform/gdm.xml	(revision a6b95b9d42590de37de20fee62e9b02fc0b937d4)
+++ gnome/platform/gdm.xml	(revision 522505656250d6303e853996b6a7b68c060c561d)
@@ -128,33 +128,4 @@
 passwd -ql gdm</userinput></screen>
 
-<!--
-    <note revision="sysv">
-      <para>
-        The <application>gdm</application> login screen is managed by
-        <application>gnome-shell</application>, which relies on the
-        <command>systemd-localed</command> daemon to get the system
-        settings. Since this daemon is not present on this system, a
-        <command>sed</command> is applied in the <xref
-        linkend="gnome-shell"/> instructions to change this behavior,
-        but then <application>gdm</application> uses the system settings,
-        which default to a US <quote>qwerty</quote> keyboard layout. This may
-        be an inconvience to enter a password when the machine keyboard
-        has a different layout. One possibility is to use the screen-keyboard
-        from the accessibility menu. Another possibility is to change the
-        defaults at compile time, by creating the following file:
-      </para>
-
-<screen><userinput>cat &gt; data/dconf/defaults/01-keyboard &lt;&lt; EOF
-<literal>[org/gnome/desktop/input-sources]
-sources=[('xkb','<replaceable>layout</replaceable>')]</literal>
-EOF</userinput></screen>
-
-      <para>
-        where <replaceable>layout</replaceable> should be replaced with
-        the acronym for your keyboard layout (one of the filenames in
-        <filename class="directory">/usr/share/X11/xkb/symbols</filename>).
-      </para>
-    </note>
--->
     <para>
       Install <application>GDM</application> by running the following
@@ -270,14 +241,10 @@
 
       <para revision="sysv">
-        To start the <command>gdm</command> automatically when the system
-        is booted, install the <filename>/etc/rc.d/init.d/gdm</filename>
-        init script included in the <xref linkend="bootscripts"/> package and
-        set the default runlevel to 5 (graphical login) as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-      <para revision="systemd">
-        To start the <command>gdm</command> daemon at boot, enable
-        the previously installed systemd unit by running the following command
+        To start <command>gdm</command> automatically when the system is
+        switched to runlevel 5, install the
+        <filename>/etc/rc.d/init.d/xdm</filename> script and the
+        <filename>/etc/sysconfig/xdm</filename> configuration file
+        included in the <xref linkend="bootscripts"/> package
+        and adjust <filename>/etc/inittab</filename> by running
         as the <systemitem class="username">root</systemitem> user:
       </para>
@@ -294,4 +261,14 @@
 <screen role="root" revision="sysv"><userinput>sed /initdefault/s/3/5/ -i /etc/inittab</userinput></screen>
 
+      <para revision="systemd">
+        To start the <command>gdm</command> daemon at boot, enable
+        the previously installed systemd unit by running the following command
+        as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root" revision="systemd"><userinput>systemctl enable gdm</userinput></screen>
+
+<!-- [pierre October 2020] I don't understand why this is here: power
+     management works perfectly well
       <para revision="sysv">
           You should also disable default elogind power management:
@@ -302,6 +279,5 @@
 AllowHibernation=no</literal>
 EOF</userinput></screen>
-
-<screen role="root" revision="systemd"><userinput>systemctl enable gdm</userinput></screen>
+-->
 
     </sect3>
Index: x/dm/lightdm.xml
===================================================================
--- x/dm/lightdm.xml	(revision a6b95b9d42590de37de20fee62e9b02fc0b937d4)
+++ x/dm/lightdm.xml	(revision 522505656250d6303e853996b6a7b68c060c561d)
@@ -310,14 +310,20 @@
              <phrase revision="systemd">Systemd Unit</phrase></title>
 
-      <para revision="sysv">
-        Install the <filename revision="sysv">/etc/rc.d/init.d/lightdm</filename>
-        init script from the <xref linkend="bootscripts"/>
-      </para>
-
-<screen role="root" revision="sysv"><userinput>make install-lightdm</userinput></screen>
       <indexterm zone="lightdm lightdm-bootscript">
         <primary sortas="f-lightdm">lightdm</primary>
       </indexterm>
 
+      <para revision="sysv">
+        To start <command>lightdm</command> automatically when the system is
+        switched to runlevel 5, install the
+        <filename>/etc/rc.d/init.d/xdm</filename> script and the
+        <filename>/etc/sysconfig/xdm</filename> configuration file
+        included in the <xref linkend="bootscripts"/> package
+        and adjust <filename>/etc/inittab</filename> by running
+        as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root" revision="sysv"><userinput>make install-lightdm</userinput></screen>
+
       <para revision="systemd">
         Install and enable the systemd unit.  From the 
@@ -334,23 +340,14 @@
 
       <para>
-        If the lightdm bootscript has been installed, start lightdm by running, as the
-        <systemitem class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>/etc/rc.d/init.d/lightdm start</userinput></screen>
+        The <command>lightdm</command> greeter can be started from the
+        command line as the <systemitem class="username">root</systemitem>
+        user:
+      </para>
+
+<screen role="root"><userinput>telinit 5</userinput></screen>
 
       <para>
-        By convention, X should be executed at runlevel 5, consequently, the
-        same is true for <application>lightdm</application>. However, LFS default
-        runlevel is 3. Changing to runlevel 5, from a console terminal, as
-        <systemitem class="username">root</systemitem> user, starts the
-        <command>lightdm</command> bootscript, bringing up the greeter screen:
-      </para>
-
-<screen role="root"><userinput>init 5</userinput></screen>
-
-      <para>
-        In order to permanently set the default to 5, starting the
-        <command>lightdm</command> greeter screen automatically, modify
+        Alternatively the runlevel can be permanently set to 5, starting the
+        <command>lightdm</command> greeter screen automatically, by modifying
         <filename>/etc/inittab</filename>.  As the <systemitem
         class="username">root</systemitem> user:
Index: x/dm/lxdm.xml
===================================================================
--- x/dm/lxdm.xml	(revision a6b95b9d42590de37de20fee62e9b02fc0b937d4)
+++ x/dm/lxdm.xml	(revision 522505656250d6303e853996b6a7b68c060c561d)
@@ -221,10 +221,22 @@
 
    <sect3 id="lxdm-init">
-      <title>Boot Script</title>
+      <title><phrase revision="sysv">Boot Script</phrase>
+             <phrase revision="systemd">Systemd Unit</phrase></title>
+
+      <indexterm zone="lxdm lxdm-init">
+        <primary sortas="f-lxdm">lxdm</primary>
+      </indexterm>
 
       <para revision="sysv">
-        Install the <filename>/etc/rc.d/init.d/lxdm</filename> init script from
-        the <xref linkend="bootscripts"/> package.
-      </para>
+        To start <command>lxdm</command> automatically when the system is
+        switched to runlevel 5, install the
+        <filename>/etc/rc.d/init.d/xdm</filename> script and the
+        <filename>/etc/sysconfig/xdm</filename> configuration file
+        included in the <xref linkend="bootscripts"/> package
+        and adjust <filename>/etc/inittab</filename> by running
+        as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root" revision="sysv"><userinput>make install-lxdm</userinput></screen>
 
       <para revision="systemd">
@@ -233,9 +245,4 @@
       </para>
 
-      <indexterm zone="lxdm lxdm-init">
-        <primary sortas="f-lxdm">lxdm</primary>
-      </indexterm>
-
-<screen role="root" revision="sysv"><userinput>make install-lxdm</userinput></screen>
 <screen role="root" revision="systemd"><userinput>systemctl enable lxdm</userinput></screen>
 
@@ -276,27 +283,15 @@
 
       <para>
-        You can manually start <command>lxdm</command>, e.g, if the bootscript
-        has been installed, by running, as <systemitem
+        The <command>lxdm</command> greeter can be started from the command
+        line as the <systemitem class="username">root</systemitem> user:
+      </para>
+
+<screen role="root"><userinput>telinit 5</userinput></screen>
+
+      <para>
+        Alternatively the runlevel can be permanently set to 5, starting the
+        <command>lxdm</command> greeter screen automatically, by modifying
+        <filename>/etc/inittab</filename>. As the  <systemitem
         class="username">root</systemitem> user:
-      </para>
-
-<screen role="root"><userinput>/etc/rc.d/init.d/lxdm start</userinput></screen>
-
-      <para>
-        By convention, X should be executed at runlevel 5, consequently, the
-        same is true for <application>lxdm</application>. However, the LFS default
-        runlevel is 3. Changing to runlevel 5, from the console (as
-        <systemitem class="username">root</systemitem> user) starts the
-        <command>lxdm</command> bootscript and presents the
-        greeter screen:
-      </para>
-
-<screen role="root"><userinput>init 5</userinput></screen>
-
-      <para>
-          In order to permanently set the default to 5, starting the
-          <command>lxdm</command> greeter screen automatically, you can modify
-          <filename>/etc/inittab</filename>. As the  <systemitem
-          class="username">root</systemitem> user:
       </para>
 
@@ -304,19 +299,10 @@
 sed -i '/initdefault/ s/3/5/' /etc/inittab</userinput></screen>
 
-      <para>
-          You should also disable default elogind power management:
-      </para>
- 
-<screen role="root"><userinput>cat &gt;&gt; /etc/elogind/logind.conf &lt;&lt; "EOF"
-<literal>AllowSuspend=no
-AllowHibernation=no</literal>
-EOF</userinput></screen>
-
       <note>
-      <para>
+        <para>
           One important script, executed after login is
           <filename>/etc/lxdm/Xsession</filename> which we have fixed to fit
           BLFS specifications.
-      </para>
+        </para>
       </note>
 
@@ -324,5 +310,5 @@
 
   </sect2>
-  <!--Required section-->
+  
   <sect2 role="content">
     <title>Contents</title>
@@ -352,8 +338,4 @@
       <?dbhtml list-presentation="table"?>
 
-      <!-- If the program or library name conflicts (is the same) as the
-      package name, add -prog or -lib to the varlistentry entity id
-      and the 2nd entry of the indexterm zone entity -->
-
       <varlistentry id="lxdm-prog">
         <term><command>lxdm</command></term>