Index: gnome/core/core.xml
===================================================================
--- gnome/core/core.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ gnome/core/core.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -7,5 +7,4 @@
 to display a functional desktop.</para>
 
-&gnome-session;
 &nautilus;
 &control-center;
Index: ome/core/session/gnome-session-desc.xml
===================================================================
--- gnome/core/session/gnome-session-desc.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ 	(revision )
@@ -1,24 +1,0 @@
-<sect2>
-<title>Contents</title>
-
-<para>The <application><acronym>GNOME</acronym> Session</application> package contains
-<command>gnome-session</command>, session utilities and <command>manager proxy</command>.</para>
-
-</sect2>
-
-<sect2><title>Description</title>
-
-<sect3><title>gnome-session</title>
-<para><command>gnome-session</command> starts up the
-<application><acronym>GNOME</acronym></application> desktop.</para></sect3>
-
-<sect3><title>session utilities</title>
-<para>session utilities includes a configuration program and other
-session management related utilities.</para></sect3>
-
-<sect3><title>manager proxy</title>
-<para><command>manager proxy</command> handles basic session management for applications
-that do not support <acronym>XSM</acronym>.</para></sect3>
-
-</sect2>
-
Index: ome/core/session/gnome-session-exp.xml
===================================================================
--- gnome/core/session/gnome-session-exp.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<sect2>
-<title>Command explanations</title>
-
-<para><parameter>--localstatedir=/var/lib</parameter>: This switch
-puts <application>ScrollKeeper</application> files in <filename
-class="directory">/var/lib/scrollkeeper</filename>
-instead of <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
-
-<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
-puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
-<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
-
-</sect2>
-
Index: ome/core/session/gnome-session-inst.xml
===================================================================
--- gnome/core/session/gnome-session-inst.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ 	(revision )
@@ -1,12 +1,0 @@
-<sect2>
-<title>Installation of <application><acronym>GNOME</acronym> Session</application></title>
-
-<para>Install <application><acronym>GNOME</acronym> Session</application> by running the following commands:</para>
-
-<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
-    --localstatedir=/var/lib --sysconfdir=/etc/gnome  &amp;&amp;
-make &amp;&amp;
-make install</command></userinput></screen>
-
-</sect2>
-
Index: ome/core/session/gnome-session-intro.xml
===================================================================
--- gnome/core/session/gnome-session-intro.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ 	(revision )
@@ -1,26 +1,0 @@
-<sect2>
-<title>Introduction to <application><acronym>GNOME</acronym> Session</application></title>
-
-<para>The <application><acronym>GNOME</acronym> Session</application>
-package contains the <application><acronym>GNOME</acronym></application> 
-session manager.</para>
-
-<sect3><title>Package information</title>
-<itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink
-url="&gnome-session-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink
-url="&gnome-session-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &gnome-session-size;</para></listitem>
-<listitem><para>Estimated Disk space required:
-&gnome-session-buildsize;</para></listitem>
-<listitem><para>Estimated build time:
-&gnome-session-time;</para></listitem></itemizedlist>
-</sect3>
-
-<sect3><title><application><acronym>GNOME</acronym> Session</application> dependencies</title>
-<sect4><title>Required</title>
-<para><xref linkend="libgnomeui"/></para></sect4>
-</sect3>
-
-</sect2>
Index: ome/core/session/gnome-session.ent
===================================================================
--- gnome/core/session/gnome-session.ent	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ 	(revision )
@@ -1,11 +1,0 @@
-<!ENTITY gnome-session SYSTEM "../gnome-session.xml">
-<!ENTITY gnome-session-intro SYSTEM "gnome-session-intro.xml">
-<!ENTITY gnome-session-inst SYSTEM "gnome-session-inst.xml">
-<!ENTITY gnome-session-exp SYSTEM "gnome-session-exp.xml">
-<!ENTITY gnome-session-desc SYSTEM "gnome-session-desc.xml">
-<!ENTITY gnome-session-version "2.6.0">
-<!ENTITY gnome-session-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-session/2.6/gnome-session-&gnome-session-version;.tar.bz2">
-<!ENTITY gnome-session-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-session/2.6/gnome-session-&gnome-session-version;.tar.bz2">
-<!ENTITY gnome-session-size "820 KB">
-<!ENTITY gnome-session-buildsize "19 MB">
-<!ENTITY gnome-session-time "0.22 SBU">
Index: gnome/gnome.ent
===================================================================
--- gnome/gnome.ent	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ gnome/gnome.ent	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -28,4 +28,5 @@
 <!ENTITY % libwnck SYSTEM "lib/libwnck/libwnck.ent">
 <!ENTITY % gnome-panel SYSTEM "lib/gnome-panel/gnome-panel.ent">
+<!ENTITY % gnome-session SYSTEM "lib/gnome-session/gnome-session.ent">
 
 <!ENTITY % linc SYSTEM "lib/linc/linc.ent">
@@ -69,4 +70,5 @@
 %libwnck;
 %gnome-panel;
+%gnome-session;
 
 %linc;
@@ -91,7 +93,5 @@
 <!-- Gnome Core -->
 <!ENTITY gnome-core SYSTEM "core/core.xml">
-<!ENTITY % gnome-session SYSTEM "core/session/gnome-session.ent">
 <!ENTITY % control-center SYSTEM "core/control/control-center.ent">
-%gnome-session;
 %control-center;
 
Index: gnome/lib/gnome-session.xml
===================================================================
--- gnome/lib/gnome-session.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,11 @@
+<sect1 id="gnome-session" xreflabel="GNOME Session-&gnome-session-version;">
+<?dbhtml filename="gnome-session.html" dir="gnome"?>
+<title>GNOME Session-&gnome-session-version;</title>
+
+&gnome-session-intro;
+&gnome-session-inst;
+&gnome-session-exp;
+&gnome-session-desc;
+
+</sect1>
+
Index: gnome/lib/gnome-session/gnome-session-desc.xml
===================================================================
--- gnome/lib/gnome-session/gnome-session-desc.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session/gnome-session-desc.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,24 @@
+<sect2>
+<title>Contents</title>
+
+<para>The <application><acronym>GNOME</acronym> Session</application> package contains
+<command>gnome-session</command>, session utilities and <command>manager proxy</command>.</para>
+
+</sect2>
+
+<sect2><title>Description</title>
+
+<sect3><title>gnome-session</title>
+<para><command>gnome-session</command> starts up the
+<application><acronym>GNOME</acronym></application> desktop.</para></sect3>
+
+<sect3><title>session utilities</title>
+<para>session utilities includes a configuration program and other
+session management related utilities.</para></sect3>
+
+<sect3><title>manager proxy</title>
+<para><command>manager proxy</command> handles basic session management for applications
+that do not support <acronym>XSM</acronym>.</para></sect3>
+
+</sect2>
+
Index: gnome/lib/gnome-session/gnome-session-exp.xml
===================================================================
--- gnome/lib/gnome-session/gnome-session-exp.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session/gnome-session-exp.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,14 @@
+<sect2>
+<title>Command explanations</title>
+
+<para><parameter>--localstatedir=/var/lib</parameter>: This switch
+puts <application>ScrollKeeper</application> files in <filename
+class="directory">/var/lib/scrollkeeper</filename>
+instead of <filename class="directory">$GNOME_PREFIX/var/scrollkeeper</filename>.</para>
+
+<para><parameter>--sysconfdir=/etc/gnome</parameter>: This switch
+puts configuration files in <filename class="directory">/etc/gnome</filename> instead of
+<filename class="directory">$GNOME_PREFIX/etc</filename>.</para>
+
+</sect2>
+
Index: gnome/lib/gnome-session/gnome-session-inst.xml
===================================================================
--- gnome/lib/gnome-session/gnome-session-inst.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session/gnome-session-inst.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,12 @@
+<sect2>
+<title>Installation of <application><acronym>GNOME</acronym> Session</application></title>
+
+<para>Install <application><acronym>GNOME</acronym> Session</application> by running the following commands:</para>
+
+<screen><userinput><command>./configure --prefix=`pkg-config --variable=prefix ORBit-2.0` \
+    --localstatedir=/var/lib --sysconfdir=/etc/gnome  &amp;&amp;
+make &amp;&amp;
+make install</command></userinput></screen>
+
+</sect2>
+
Index: gnome/lib/gnome-session/gnome-session-intro.xml
===================================================================
--- gnome/lib/gnome-session/gnome-session-intro.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session/gnome-session-intro.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,30 @@
+<sect2>
+<title>Introduction to <application><acronym>GNOME</acronym> Session</application></title>
+
+<para>The <application><acronym>GNOME</acronym> Session</application>
+package contains the <application><acronym>GNOME</acronym></application> 
+session manager.</para>
+
+<sect3><title>Package information</title>
+<itemizedlist spacing='compact'>
+<listitem><para>Download (HTTP): <ulink
+url="&gnome-session-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): <ulink
+url="&gnome-session-download-ftp;"/></para></listitem>
+<listitem><para>Download size: &gnome-session-size;</para></listitem>
+<listitem><para>Estimated Disk space required:
+&gnome-session-buildsize;</para></listitem>
+<listitem><para>Estimated build time:
+&gnome-session-time;</para></listitem></itemizedlist>
+</sect3>
+
+<sect3><title><application><acronym>GNOME</acronym> Session</application> dependencies</title>
+<sect4><title>Required</title>
+<para><xref linkend="libgnomeui"/></para></sect4>
+<sect4><title>Optional</title>
+<para>
+<xref linkend="esound"/>
+</para></sect4>
+</sect3>
+
+</sect2>
Index: gnome/lib/gnome-session/gnome-session.ent
===================================================================
--- gnome/lib/gnome-session/gnome-session.ent	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
+++ gnome/lib/gnome-session/gnome-session.ent	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -0,0 +1,11 @@
+<!ENTITY gnome-session SYSTEM "../gnome-session.xml">
+<!ENTITY gnome-session-intro SYSTEM "gnome-session-intro.xml">
+<!ENTITY gnome-session-inst SYSTEM "gnome-session-inst.xml">
+<!ENTITY gnome-session-exp SYSTEM "gnome-session-exp.xml">
+<!ENTITY gnome-session-desc SYSTEM "gnome-session-desc.xml">
+<!ENTITY gnome-session-version "2.6.0">
+<!ENTITY gnome-session-download-http "http://ftp.gnome.org/pub/GNOME/sources/gnome-session/2.6/gnome-session-&gnome-session-version;.tar.bz2">
+<!ENTITY gnome-session-download-ftp "ftp://ftp.gnome.org/pub/GNOME/sources/gnome-session/2.6/gnome-session-&gnome-session-version;.tar.bz2">
+<!ENTITY gnome-session-size "820 KB">
+<!ENTITY gnome-session-buildsize "19 MB">
+<!ENTITY gnome-session-time "0.22 SBU">
Index: gnome/lib/lib.xml
===================================================================
--- gnome/lib/lib.xml	(revision d9358cdfe56390de63979f242a1faf97152600ec)
+++ gnome/lib/lib.xml	(revision 567358321dfde2d2e1063fa85a0aa7895be0f14e)
@@ -27,4 +27,5 @@
 &libwnck;
 &gnome-panel;
+&gnome-session;
 &vte;
 &libgtop;