Index: general.ent
===================================================================
--- general.ent	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ general.ent	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -1,5 +1,5 @@
 <!-- $LastChangedBy$ $Date$ -->
 
-<!ENTITY day          "09">                   <!-- Always 2 digits -->
+<!ENTITY day          "10">                   <!-- Always 2 digits -->
 <!ENTITY month        "09">                   <!-- Always 2 digits -->
 <!ENTITY year         "2014">
@@ -7,5 +7,5 @@
 <!ENTITY copyholder   "The BLFS Development Team">
 <!ENTITY version      "&year;-&month;-&day;">
-<!ENTITY releasedate  "September 9th, &year;">
+<!ENTITY releasedate  "September 10th, &year;">
 <!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ introduction/welcome/changelog.xml	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -44,5 +44,17 @@
 
 -->
-
+    <listitem>
+      <para>September 10th, 2014</para>
+      <itemizedlist>
+        <listitem>
+          <para>[rthomsen] - Update to phonon-4.8.0 and phonon-backend-vlc-0.8.0. 
+          Re-add phonon-backend-gstreamer to the book. Fixes
+          <ulink url="&blfs-ticket-root;5480">#5480</ulink>, 
+          <ulink url="&blfs-ticket-root;5481">#5481</ulink> and
+          <ulink url="&blfs-ticket-root;5482">#5482</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+    
     <listitem>
       <para>September 9th, 2014</para>
Index: kde/core/core.xml
===================================================================
--- kde/core/core.xml	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ kde/core/core.xml	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -18,5 +18,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="automoc4.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="phonon.xml"/>
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="phonon-backend-gstreamer.xml"/> -->
+  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="phonon-backend-gstreamer.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="phonon-backend-vlc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="akonadi.xml"/>
Index: kde/core/phonon-backend-gstreamer.xml
===================================================================
--- kde/core/phonon-backend-gstreamer.xml	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ kde/core/phonon-backend-gstreamer.xml	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -7,6 +7,6 @@
   <!ENTITY phonon-backend-gstreamer-download-http "&kde-download-http;phonon/phonon-backend-gstreamer/&phonon-backend-gstreamer-version;/src/phonon-backend-gstreamer-&phonon-backend-gstreamer-version;.tar.xz">
   <!ENTITY phonon-backend-gstreamer-download-ftp  "&kde-download-ftp;phonon/phonon-backend-gstreamer/&phonon-backend-gstreamer-version;/src/phonon-backend-gstreamer-&phonon-backend-gstreamer-version;.tar.xz">
-  <!ENTITY phonon-backend-gstreamer-md5sum        "d437478c3ef2da2cda0da0abda20ef11">
-  <!ENTITY phonon-backend-gstreamer-size          "76 KB">
+  <!ENTITY phonon-backend-gstreamer-md5sum        "fad1ae2accbc2affee174fb8b52630ed">
+  <!ENTITY phonon-backend-gstreamer-size          "74 KB">
   <!ENTITY phonon-backend-gstreamer-buildsize     "3.5 MB">
   <!ENTITY phonon-backend-gstreamer-time          "0.3 SBU">
@@ -33,5 +33,5 @@
     utilizes the <application>GStreamer</application> media framework.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -62,13 +62,13 @@
     <para role="required">
     <xref linkend="phonon"/> and
-    <xref linkend="gstreamer"/>
+    <xref linkend="gstreamer10"/>
     </para>
 
     <bridgehead renderas="sect4">Recommended</bridgehead>
     <para role="recommended">
-    <xref linkend="gst-plugins-base"/> (needed for output to ALSA),
-    <xref linkend="gst-plugins-good"/> (needed for output to PulseAudio),
-    <xref linkend="gst-plugins-bad"/> (needed for AAC/M4A support) and
-    <xref linkend="gst-plugins-ugly"/> (needed for MP3 support)
+    <xref linkend="gst10-plugins-base"/> (needed for output to ALSA),
+    <xref linkend="gst10-plugins-good"/> (needed for output to PulseAudio),
+    <xref linkend="gst10-plugins-bad"/> (needed for AAC/M4A support) and
+    <xref linkend="gst10-plugins-ugly"/> (needed for MP3 support)
     </para>
 
Index: kde/core/phonon-backend-vlc.xml
===================================================================
--- kde/core/phonon-backend-vlc.xml	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ kde/core/phonon-backend-vlc.xml	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -7,6 +7,6 @@
   <!ENTITY phonon-backend-vlc-download-http "&kde-download-http;phonon/phonon-backend-vlc/&phonon-backend-vlc-version;/src/phonon-backend-vlc-&phonon-backend-vlc-version;.tar.xz">
   <!ENTITY phonon-backend-vlc-download-ftp  "&kde-download-ftp;phonon/phonon-backend-vlc/&phonon-backend-vlc-version;/src/phonon-backend-vlc-&phonon-backend-vlc-version;.tar.xz">
-  <!ENTITY phonon-backend-vlc-md5sum        "10f26393df35c01f0526807980eadb1c">
-  <!ENTITY phonon-backend-vlc-size          "60 KB">
+  <!ENTITY phonon-backend-vlc-md5sum        "f4c1f5c75d15931f02508cccef107e3d">
+  <!ENTITY phonon-backend-vlc-size          "58 KB">
   <!ENTITY phonon-backend-vlc-buildsize     "2.9 MB">
   <!ENTITY phonon-backend-vlc-time          "0.2 SBU">
@@ -33,5 +33,5 @@
     utilizes the <application>VLC</application> media framework.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
Index: kde/core/phonon.xml
===================================================================
--- kde/core/phonon.xml	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ kde/core/phonon.xml	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -7,6 +7,6 @@
   <!ENTITY phonon-download-http "&kde-download-http;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
   <!ENTITY phonon-download-ftp  "&kde-download-ftp;phonon/&phonon-version;/phonon-&phonon-version;.tar.xz">
-  <!ENTITY phonon-md5sum        "a8b722a11a301fc2cda7ff8228209531">
-  <!ENTITY phonon-size          "324 KB">
+  <!ENTITY phonon-md5sum        "30af25af0bf28f3ce462f39b0a6e4081">
+  <!ENTITY phonon-size          "314 KB">
   <!ENTITY phonon-buildsize     "10.5 MB">
   <!ENTITY phonon-time          "0.5 SBU">
@@ -34,5 +34,5 @@
     supported by KDE. Phonon needs either the GStreamer or VLC backend.</para>
 
-    &lfs75_checked;
+    &lfs76_checked;
 
     <bridgehead renderas="sect3">Package Information</bridgehead>
@@ -68,6 +68,5 @@
     <bridgehead renderas="sect4">Optional</bridgehead>
     <para role="optional">
-      <xref linkend="pulseaudio"/>,
-      <xref linkend="qt5"/> and
+      <xref linkend="pulseaudio"/> and
       <ulink url="http://projects.kde.org/projects/kdesupport/libqzeitgeist/">QZeitgeist</ulink>
     </para>
@@ -85,4 +84,8 @@
     a better implementation.</para>
 
+    <note><para>If you have both Qt4 and Qt5 installed, be sure to run 
+    <userinput>source setqt4</userinput> before installing Phonon.
+    </para></note>
+  
     <para>Install <application>Phonon</application> by running the following
     commands:</para>
@@ -126,4 +129,5 @@
     </para>
 
+<!--
     <para>
       <option>-DPHONON_BUILD_PHONON4QT5=ON</option>: Use this switch if you want to
@@ -132,4 +136,5 @@
       versions can be installed at the same time without any conflicts.
     </para>
+-->
 
   </sect2>
Index: packages.ent
===================================================================
--- packages.ent	(revision b9875028f3c6b6c9cce15c2534294327a07c75e0)
+++ packages.ent	(revision 5884838250d6180688dd14682b0f6c60ad66ba4e)
@@ -499,7 +499,7 @@
 <!ENTITY kde-workspace-version        "4.11.11">
 <!ENTITY automoc4-version             "0.9.88">
-<!ENTITY phonon-version               "4.7.2">
-<!ENTITY phonon-backend-gstreamer-version "4.7.2">
-<!ENTITY phonon-backend-vlc-version   "0.7.2">
+<!ENTITY phonon-version               "4.8.0">
+<!ENTITY phonon-backend-gstreamer-version "4.8.0">
+<!ENTITY phonon-backend-vlc-version   "0.8.0">
 <!ENTITY akonadi-version              "1.13.0">
 <!ENTITY attica-version               "0.4.2">