Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision f31aab3206c543d342c03861cd0bab079cc2812c)
+++ introduction/welcome/changelog.xml	(revision 599282102c0d6bb9d174c5d24d0fa9684d1de95c)
@@ -43,4 +43,8 @@
       <para>May 3rd, 2024</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to libreoffice-24.2.3.2. Fixes
+          <ulink url="&blfs-ticket-root;19745">#19745</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[bdubbs] - Update to ibus-1.5.30. Fixes
Index: packages.ent
===================================================================
--- packages.ent	(revision f31aab3206c543d342c03861cd0bab079cc2812c)
+++ packages.ent	(revision 599282102c0d6bb9d174c5d24d0fa9684d1de95c)
@@ -1032,5 +1032,5 @@
 <!ENTITY gnumeric-version             "1.12.57">
 
-<!ENTITY libreoffice-version          "24.2.2">
+<!ENTITY libreoffice-version          "24.2.3">
 <!ENTITY libreoffice-patch            ".2">
 <!ENTITY libreoffice-dlversion        "&libreoffice-version;&libreoffice-patch;">
Index: xsoft/office/libreoffice.xml
===================================================================
--- xsoft/office/libreoffice.xml	(revision f31aab3206c543d342c03861cd0bab079cc2812c)
+++ xsoft/office/libreoffice.xml	(revision 599282102c0d6bb9d174c5d24d0fa9684d1de95c)
@@ -8,22 +8,22 @@
 
   <!ENTITY libreoffice-core-download-http "&libreoffice-dl;/libreoffice-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-core-md5sum        "72d05d00734c6921a47c369b8d7ef8cf">
+  <!ENTITY libreoffice-core-md5sum        "df019f1cfa41c3dd80f06f865c752817">
   <!ENTITY libreoffice-core-size          "268 MB">
 
   <!ENTITY libreoffice-dict-download-http "&libreoffice-dl;/libreoffice-dictionaries-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-dict-md5sum        "7091a370829bdcddd30e73b877bbc404">
+  <!ENTITY libreoffice-dict-md5sum        "93aaa2a4c4bf127f1c8d0798059ba785">
   <!ENTITY libreoffice-dict-size          "52 MB">
 
   <!ENTITY libreoffice-help-download-http "&libreoffice-dl;/libreoffice-help-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-help-md5sum        "4dc03b31faaa008574e33ef0720ac6e2">
+  <!ENTITY libreoffice-help-md5sum        "53d85fcb604f44ecca9ce0a5b7260741">
   <!ENTITY libreoffice-help-size          "160 MB">
 
   <!ENTITY libreoffice-translations-download-http "&libreoffice-dl;/libreoffice-translations-&libreoffice-dlversion;.tar.xz">
-  <!ENTITY libreoffice-translations-md5sum        "7093673b5953a410e9c0297a3302fd36">
-  <!ENTITY libreoffice-translations-size          "211 MB">
+  <!ENTITY libreoffice-translations-md5sum        "7a2c07b5170c4aae314330aefcd4e44e">
+  <!ENTITY libreoffice-translations-size          "210 MB">
 
   <!-- full size remeasured for 7.0.0.3 -->
 
-  <!ENTITY libreoffice-buildsize  "8 GB including the additional files if downloaded during the build (729 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
+  <!ENTITY libreoffice-buildsize  "8.2 GB including the additional files if downloaded during the build (729 MB installed). Installing the whole set of languages requires more than 25 GB (around 3 GB installed)">
 
  <!-- Editors: many updates to poppler will break LO using system poppler until
@@ -58,5 +58,5 @@
        For 7.5.4.2, I increased the parallelism to 8.  -bdubbs
   -->
-  <!ENTITY libreoffice-time "41 SBU with parallelism=8 (will vary due to download time)">
+  <!ENTITY libreoffice-time "34 SBU with parallelism=8 (will vary due to download time)">
 
 ]>
@@ -187,11 +187,4 @@
           Required patch to fix building with <xref linkend="poppler"/>:
           <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-poppler_22_09_fixes-1.patch"/>
-        </para>
-      </listitem>
-
-      <listitem>
-        <para>
-          Required patch to fix building with libxml2-2.12.x:
-          <ulink url="&patch-root;/libreoffice-&libreoffice-dlversion;-consolidated_fixes-1.patch"/>
         </para>
       </listitem>
@@ -250,5 +243,5 @@
       <xref linkend="nss"/>,
       <xref linkend="openldap"/> (if connecting to an LDAP server),
-      <xref linkend="poppler"/>,
+      <xref linkend="poppler"/> (currentlly broken),
       <xref linkend="postgresql"/>,
       <xref linkend="redland"/>, and
@@ -370,4 +363,5 @@
 <screen><userinput remap="pre">sed -i '/icuuc \\/a zlib\\' writerperfect/Library_wpftdraw.mk</userinput></screen>
 
+<!--
     <para>
       Next, fix a build failure with ICU-74+:
@@ -375,5 +369,5 @@
 
 <screen><userinput>sed -e /LBCM/d -i i18npool/source/breakiterator/data/line.txt</userinput></screen>
-
+-->
     <para>
       If you have downloaded the dictionaries, help and translations tarballs,
@@ -477,5 +471,4 @@
              --with-system-graphite      \
              --with-system-harfbuzz      \
-             --with-system-icu           \
              --with-system-jpeg          \
              --with-system-lcms2         \
@@ -498,4 +491,6 @@
      is known by upstream:
      https://www.mail-archive.com/libreoffice@lists.freedesktop.org/msg336884.html
+
+     Removed from above: - -with-system-icu due to problem with version icu-75.1
 -->
     <para>
@@ -681,4 +676,9 @@
 
     <para>
+      <parameter>--with-system-icu</parameter>: Use the installed version of
+      icu. This version of libreoffice (24.2.3.2) is broken with icu-75.1.
+    </para>
+
+    <para>
       <parameter>--with-system-*</parameter>: These switches prevent
       <application>LibreOffice</application> from trying to compile its own
@@ -687,13 +687,4 @@
     </para>
 
-<!--
-    <para>
-      <command>CPPFLAGS='-DU_USING_ICU_NAMESPACE=1' make ...</command>: <xref
-      linkend="icu"/> has removed an implicit namespace <quote>using</quote>
-      from its headers files. Setting <envar>U_USING_ICU_NAMESPACE</envar> to
-      1 allows to restore the former behavior, which is required for building
-      <application>libreoffice</application>.
-    </para>
--->
     <para>
       <command>make distro-pack-install</command>: This does a normal
@@ -827,19 +818,4 @@
       <envar>QT6LIB</envar>, <envar>KF6INC</envar>, and <envar>KF6LIB</envar>,
       respectively.
-    </para>
-    -->
-
-    <!--
-    <para>
-      Currently broken by ICU68 (TRUE and FALSE need to be true and false) on
-      libe-book and perhaps elsewhere - commented explanation retained.  ken
-      <option>- -with-system-icu</option>: This command would use the system
-      version of <xref linkend="icu"/> which is normally considered to be a good
-      thing to do. However, one of the very minor packages pulled in by
-      <application>LibreOffice</application>, libfreehand-0.1.2, does not compile
-      with ICU-65.1 because of a missing semi-colon at the end of one line in one
-      of its files. Do not use this option unless you have separately installed a
-      patched or newer version of
-      <ulink url="https://wiki.documentfoundation.org/DLP/Libraries/libfreehand">libfreehand</ulink>.
     </para>
     -->