Index: general.ent
===================================================================
--- general.ent	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ general.ent	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -259,5 +259,5 @@
 <!ENTITY graphviz-version             "2.26.3">
 <!ENTITY recode-version               "3.6">
-<!ENTITY rman-version                 "3.2">
+<!-- <!ENTITY rman-version                 "3.2"> -->
 <!ENTITY icon-naming-utils-version    "0.8.90">
 <!ENTITY rxvt-unicode-version         "9.07">
@@ -517,5 +517,4 @@
 <!ENTITY xcursor-themes-version       "1.0.3">
 <!ENTITY xkeyboard-config-version     "2.0">
-<!ENTITY xbitmaps-version             "1.1.1">
 <!ENTITY mesalib-version              "7.9">
 <!ENTITY xcb-util-version             "0.3.6">
@@ -794,5 +793,5 @@
 <!ENTITY faad2-version                "2.7">
 <!ENTITY faac-version                 "1.28">
-<!ENTITY nas-version                  "1.9.1">
+<!-- <!ENTITY nas-version                  "1.9.1"> -->
 <!ENTITY libmpeg3-version             "1.8">
 <!ENTITY libmad-version               "0.15.1b">
Index: general/genutils/genutils.xml
===================================================================
--- general/genutils/genutils.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ general/genutils/genutils.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -37,5 +37,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libiodbc.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="graphviz.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="rman.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="rman.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="recode.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="icon-naming-utils.xml"/>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ introduction/welcome/changelog.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -51,4 +51,7 @@
           <para>[dj] - Moved libpthread-stubs, libxcb, Mesa, xcb-proto,
           xcb-utils, and xterm to the Xorg section.</para>
+        </listitem>
+        <listitem>
+          <para>[dj] - Removed rman and nas from the book.</para>
         </listitem>
       </itemizedlist>
Index: kde/core/arts.xml
===================================================================
--- kde/core/arts.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ kde/core/arts.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -71,5 +71,5 @@
     <xref linkend="libmad"/>,
     <xref linkend="esound"/>,
-    <xref linkend="nas"/>,
+<!--    <xref linkend="nas"/>, -->
     <ulink url="http://www.mediaapplicationserver.net/">MAS</ulink>, and
     <ulink url="http://jackit.sourceforge.net/">JACK</ulink></para>
Index: multimedia/audioutils/mpg123.xml
===================================================================
--- multimedia/audioutils/mpg123.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/audioutils/mpg123.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -68,5 +68,5 @@
     <xref linkend="esound"/>,
     <ulink url="http://jackaudio.org">JACK</ulink>,
-    <xref linkend="nas"/>,
+<!--    <xref linkend="nas"/>, -->
     <ulink url="http://www.portaudio.com">PortAudio</ulink>,
     <ulink url="http://pulseaudio.org">PulseAudio</ulink>,
Index: multimedia/libdriv/gst-plugins.xml
===================================================================
--- multimedia/libdriv/gst-plugins.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/libdriv/gst-plugins.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -119,5 +119,5 @@
     <xref linkend="libvorbis"/>,
     <ulink url="http://www.ladspa.org/">LADSPA</ulink>,
-    <xref linkend="nas"/>,
+<!--    <xref linkend="nas"/>, -->
     <ulink url="http://0pointer.de/lennart/projects/polypaudio/">polypaudio</ulink>,
     <xref linkend="speex"/>,
Index: multimedia/libdriv/libao.xml
===================================================================
--- multimedia/libdriv/libao.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/libdriv/libao.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -66,6 +66,6 @@
     <xref linkend="esound"/>,
     <xref linkend="alsa"/>,
-    <xref linkend="arts"/>,
-    <xref linkend="nas"/>, and
+    <xref linkend="arts"/>, and
+<!--    <xref linkend="nas"/>, and -->
     <ulink url="http://pulseaudio.org/">PulseAudio</ulink> (requires <ulink
     url="http://www.hpl.hp.com/research/linux/atomic_ops/">atomic_ops</ulink>)</para>
Index: multimedia/libdriv/libdriv.xml
===================================================================
--- multimedia/libdriv/libdriv.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/libdriv/libdriv.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -39,5 +39,5 @@
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="faac.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="faad2.xml"/>
-  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nas.xml"/>
+<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="nas.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmpeg3.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="libmad.xml"/>
Index: multimedia/libdriv/sdl.xml
===================================================================
--- multimedia/libdriv/sdl.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/libdriv/sdl.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -63,5 +63,5 @@
     <ulink url="http://pulseaudio.org">PulseAudio</ulink>,
     <xref linkend="arts"/>,
-    <xref linkend="nas"/>,
+<!--    <xref linkend="nas"/>, -->
     <xref linkend="NASM"/>,
     <xref linkend="libusb"/>,
Index: multimedia/videoutils/mplayer.xml
===================================================================
--- multimedia/videoutils/mplayer.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ multimedia/videoutils/mplayer.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -181,5 +181,5 @@
     <ulink url="http://jackit.sourceforge.net/">JACK</ulink>,
     <ulink url="http://www.ladspa.org/">LADSPA</ulink>,
-    <xref linkend="nas"/>,
+<!--    <xref linkend="nas"/>, -->
     <ulink url="http://openal.org/">OpenAL</ulink>,
     <ulink url="http://pulseaudio.org/">PulseAudio</ulink>,
Index: x/installing/installing.xml
===================================================================
--- x/installing/installing.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ x/installing/installing.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -26,5 +26,4 @@
   decided to use the <application>Xorg</application> package.</para>
 
-<!--  <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xorg7-dummy.xml"/> -->
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="xorg7.xml"/>
   <xi:include xmlns:xi="http://www.w3.org/2001/XInclude" href="util-macros.xml"/>
Index: x/lib/qt.xml
===================================================================
--- x/lib/qt.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ x/lib/qt.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -76,5 +76,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="nas"/>,
+    <para role="optional">
+<!--    <xref linkend="nas"/>, -->
     <xref linkend="cups"/>,
     <xref linkend="mysql"/>,
Index: x/lib/qt4.xml
===================================================================
--- x/lib/qt4.xml	(revision 85efa683a393f07b14e7841137a0d3592ae1cb96)
+++ x/lib/qt4.xml	(revision 612238605b3bc8b1f24da6a607dcef0034a10b93)
@@ -71,5 +71,6 @@
 
     <bridgehead renderas="sect4">Optional</bridgehead>
-    <para role="optional"><xref linkend="nas"/>,
+    <para role="optional">
+<!--      <xref linkend="nas"/>, -->
       <xref linkend="dbus"/>,
       <xref linkend="gst-plugins-base"/>,