Index: general/genutils/xscreensaver.xml
===================================================================
--- general/genutils/xscreensaver.xml	(revision c18d3b25238ffc3696ae550798088bd26784a5c1)
+++ general/genutils/xscreensaver.xml	(revision 624729364fa2c4da3ee3a77ff1d05ef4502233eb)
@@ -14,223 +14,227 @@
 
 <sect1 id="xscreensaver" xreflabel="XScreenSaver-&xscreensaver-version;">
-<sect1info>
-  <othername>$LastChangedBy$</othername>
-  <date>$Date$</date>
-</sect1info>
-
-<?dbhtml filename="xscreensaver.html"?>
-<title>XScreenSaver-&xscreensaver-version;</title>
-
-<indexterm zone="xscreensaver">
-  <primary sortas="a-xscreensaver">Xscreensaver</primary>
-</indexterm>
-
-<sect2>
-<title>Introduction to <application>XScreenSaver</application></title>
-
-<para>The <application>XScreenSaver</application> is a modular screen
-saver and locker for the X Window System. It is highly customizable and
-allows the use of any program that can draw on the root window as a
-display mode. The purpose of <application>XScreenSaver</application> is
-to display pretty pictures on your screen when it is not in use, in
-keeping with the philosophy that unattended monitors should always be
-doing something interesting, just like they do in the movies. However,
-<application>XScreenSaver</application> can also be used as a screen
-locker, to prevent others from using your terminal while you are
-away.</para>
-
-
-<sect3>
-<title>Package information</title>
-<itemizedlist spacing="compact">
-  <listitem><para>Download (HTTP): <ulink url="&xscreensaver-download-http;"/></para></listitem>
-  <listitem><para>Download (FTP): <ulink url="&xscreensaver-download-ftp;"/></para></listitem>
-  <listitem><para>Download MD5 sum: &xscreensaver-md5sum;</para></listitem>
-  <listitem><para>Download size: &xscreensaver-size;</para></listitem>
-  <listitem><para>Estimated disk space required: &xscreensaver-buildsize;</para></listitem>
-  <listitem><para>Estimated build time: &xscreensaver-time;</para></listitem>
-</itemizedlist>
-</sect3>
-
-<sect3>
-<title><application>XScreenSaver</application> dependencies</title>
-
-<sect4>
-<title>Required</title>
-
-<para> <xref linkend="bc"/> and
-       <xref linkend="libglade"/> (alternatively
-       <xref linkend="lesstif"/> but not recommended)
-</para>
-</sect4>
-
-<sect4>
-<title>Optional</title>
-<para> <xref linkend="libjpeg"/>,
-       <ulink url="http://linas.org/gle/">GLE</ulink>,
-       <ulink url="http://netpbm.sourceforge.net/">Netpbm</ulink>,
-       <ulink url="http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz">fortune-mod</ulink>,
-       <ulink url="http://www.jwz.org/xdaliclock/">XDaliClock</ulink>,
-       <xref linkend="yelp"/>,
-       <xref linkend="Linux_PAM"/> and
-       <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink> or
-       <xref linkend="heimdal"/> or
-       <xref linkend="mitkrb"/>
-</para>
-</sect4>
-</sect3>
-</sect2>
-
-<sect2>
-<title>Installation of <application>XScreenSaver</application></title>
-
-<para><application>XScreenSaver</application> makes some poor choices
-where to put all the files if GNOME is installed. To get around this,
-run the following command and see an optional configure switch
-described later below.</para>
-
-<screen><userinput><command>sed -i -e "s,@GNOME_DATADIR@,$GNOME_PREFIX/share," driver/Makefile.in</command></userinput></screen>
-
-<para>Install <application>XScreenSaver</application> by running the following 
-commands:</para>
-
-<screen><userinput><command>./configure --prefix=/usr &amp;&amp;
-make</command></userinput></screen>
-
-<para>Now, as the root user:</para>
-
-<screen><userinput role='root'><command>make install</command></userinput></screen>
-
-</sect2>
-
-<sect2>
-<title>Command explanations</title>
-
-<para><option>--with-setuid-hacks</option>:
-This switch allows some demos to be installed setuid root which is
-needed in order to ping other hosts.    
-</para>
-
-<para><option>--with-configdir=/usr/lib/xscreensaver/config</option>:
-If GNOME is installed, you can use this switch to put the
-configuration files in a single directory rather than spreading them
-all over the disk.</para>
-    
-</sect2>
-
-<sect2>
-<title>Configuring <application>XScreenSaver</application></title>
-
-<sect3 id="xscreensaver-config">
-<title>Config files</title>
-
-<para><filename>~/.xscreensaver</filename></para>
-
-<indexterm zone="xscreensaver xscreensaver-config">
-  <primary sortas="e-AA.xscreensaver">~/.xscreensaver</primary>
-</indexterm>
-
-</sect3>
-</sect2>
-
-<sect2>
-<title>Contents</title>
-
-<segmentedlist>
-  <segtitle>Installed Programs</segtitle>
-  <segtitle>Installed Libraries</segtitle>
-  <segtitle>Installed Directories</segtitle>
-
-  <seglistitem>
-    <seg>xscreensaver, xscreensaver-command, xscreensaver-demo, xscreensaver-getimage,
-         xscreensaver-getimage-file, xscreensaver-getimage-video, xscreensaver-gl-helper,
-         and screensaver-properties-capplet</seg>
-    <seg>None</seg>
-    <seg>/usr/libexec/xscreensaver, /usr/share/xscreensaver, and /usr/share/pixmaps</seg>
-  </seglistitem>
-</segmentedlist>
-
-<variablelist>
-  <bridgehead renderas="sect3">Short Descriptions</bridgehead>
-  <?dbfo list-presentation="list"?>
-
-<varlistentry id="xscreensaver-prog">
-  <term><command>xscreensaver</command></term>
-  <listitem>
-    <para>is a screen saver and locker daemon.</para>
-    <indexterm zone="xscreensaver xscreensaver-prog">
-      <primary sortas="b-xscreensaver">xscreensaver</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-command">
-  <term><command>xscreensaver-command</command></term>
-  <listitem>
-    <para>controls a running <command>xscreensaver</command> 
+  <?dbhtml filename="xscreensaver.html"?>
+  
+  <sect1info>
+    <othername>$LastChangedBy$</othername>
+    <date>$Date$</date>
+  </sect1info>
+  
+  <title>XScreenSaver-&xscreensaver-version;</title>
+  
+  <indexterm zone="xscreensaver">
+    <primary sortas="a-xscreensaver">Xscreensaver</primary>
+  </indexterm>
+
+  <sect2 role="package">
+    <title>Introduction to XScreenSaver</title>
+    
+    <para>The <application>XScreenSaver</application> is a modular screen
+    saver and locker for the X Window System. It is highly customizable and
+    allows the use of any program that can draw on the root window as a
+    display mode. The purpose of <application>XScreenSaver</application> is
+    to display pretty pictures on your screen when it is not in use, in
+    keeping with the philosophy that unattended monitors should always be
+    doing something interesting, just like they do in the movies. However,
+    <application>XScreenSaver</application> can also be used as a screen
+    locker, to prevent others from using your terminal while you are away.</para>
+    
+    <bridgehead renderas="sect3">Package Information</bridgehead>
+    <itemizedlist spacing="compact">
+      <listitem>
+        <para>Download (HTTP): <ulink url="&xscreensaver-download-http;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download (FTP): <ulink url="&xscreensaver-download-ftp;"/></para>
+      </listitem>
+      <listitem>
+        <para>Download MD5 sum: &xscreensaver-md5sum;</para>
+      </listitem>
+      <listitem>
+        <para>Download size: &xscreensaver-size;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated disk space required: &xscreensaver-buildsize;</para>
+      </listitem>
+      <listitem>
+        <para>Estimated build time: &xscreensaver-time;</para>
+      </listitem>
+    </itemizedlist>
+    
+    <bridgehead renderas="sect3">XScreenSaver Dependencies</bridgehead>
+    
+    <bridgehead renderas="sect4">Required</bridgehead>
+    <para><xref linkend="bc"/> and
+    <xref linkend="libglade"/> (alternatively
+    <xref linkend="lesstif"/> but not recommended)</para>
+    
+    <bridgehead renderas="sect4">Optional</bridgehead>
+    <para> <xref linkend="libjpeg"/>,
+    <ulink url="http://linas.org/gle/">GLE</ulink>,
+    <ulink url="http://netpbm.sourceforge.net/">Netpbm</ulink>,
+    <ulink 
+    url="http://www.ibiblio.org/pub/Linux/games/amusements/fortune/fortune-mod-9708.tar.gz">fortune-mod</ulink>,
+    <ulink url="http://www.jwz.org/xdaliclock/">XDaliClock</ulink>,
+    <xref linkend="yelp"/>,
+    <xref linkend="Linux_PAM"/> and
+    <ulink url="http://www.pdc.kth.se/kth-krb/">krb4</ulink> or
+    <xref linkend="heimdal"/> or
+    <xref linkend="mitkrb"/></para>
+    
+  </sect2>
+  
+  <sect2 role="installation">
+    <title>Installation of XScreenSaver</title>
+
+    <para><application>XScreenSaver</application> makes some poor choices
+    where to put all the files if <application>GNOME</application> is installed. 
+    To get around this, run the following command and see an optional configure 
+    switch described later below.</para>
+
+<screen><userinput>sed -i -e "s,@GNOME_DATADIR@,$GNOME_PREFIX/share," driver/Makefile.in</userinput></screen>
+
+    <para>Install <application>XScreenSaver</application> by running the following 
+    commands:</para>
+
+<screen><userinput>./configure --prefix=/usr &amp;&amp;
+make</userinput></screen>
+    
+    <para>Now, as the <systemitem class="username">root</systemitem> user:</para>
+    
+<screen role="root"><userinput>make install</userinput></screen>
+    
+  </sect2>
+  
+  <sect2 role="commands">
+    <title>Command Explanations</title>
+
+    <para><option>--with-setuid-hacks</option>: This switch allows some 
+    demos to be installed setuid <systemitem class="username">root</systemitem>
+    which is needed in order to ping other hosts.</para>
+    
+    <para><option>--with-configdir=/usr/lib/xscreensaver/config</option>:
+    If <application>GNOME</application> is installed, you can use this 
+    switch to put the configuration files in a single directory rather than 
+    spreading them all over the disk.</para>
+    
+  </sect2>
+  
+  <sect2 role="configuration">
+    <title>Configuring XScreenSaver</title>
+
+    <sect3 id="xscreensaver-config">
+      <title>Config Files</title>
+      
+      <para><filename>~/.xscreensaver</filename></para>
+      
+      <indexterm zone="xscreensaver xscreensaver-config">
+        <primary sortas="e-AA.xscreensaver">~/.xscreensaver</primary>
+      </indexterm>
+    
+    </sect3>
+    
+  </sect2>
+  
+  <sect2 role="content">
+    <title>Contents</title>
+
+    <segmentedlist>
+      <segtitle>Installed Programs</segtitle>
+      <segtitle>Installed Libraries</segtitle>
+      <segtitle>Installed Directories</segtitle>
+    
+      <seglistitem>
+        <seg>xscreensaver, xscreensaver-command, xscreensaver-demo, xscreensaver-getimage,
+        xscreensaver-getimage-file, xscreensaver-getimage-video, xscreensaver-gl-helper,
+        and screensaver-properties-capplet</seg>
+        <seg>None</seg>
+        <seg>/usr/libexec/xscreensaver, /usr/share/xscreensaver, and /usr/share/pixmaps</seg>
+      </seglistitem>
+    </segmentedlist>
+    
+    <variablelist>
+      <bridgehead renderas="sect3">Short Descriptions</bridgehead>
+      <?dbfo list-presentation="list"?>
+      <?dbhtml list-presentation="table"?>
+    
+      <varlistentry id="xscreensaver-prog">
+        <term><command>xscreensaver</command></term>
+        <listitem>
+          <para>is a screen saver and locker daemon.</para>
+          <indexterm zone="xscreensaver xscreensaver-prog">
+            <primary sortas="b-xscreensaver">xscreensaver</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-command">
+        <term><command>xscreensaver-command</command></term>
+        <listitem>
+          <para>controls a running <command>xscreensaver</command> 
           process by sending it client messages.</para>
-    <indexterm zone="xscreensaver xscreensaver-command">
-      <primary sortas="b-xscreensaver-command">xscreensaver-command</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-demo">
-  <term><command>xscreensaver-demo</command></term>
-  <listitem>
-    <para>is a graphical front-end for setting the parameters used 
-    by the background <command>xscreensaver</command> daemon.</para>
-    <indexterm zone="xscreensaver xscreensaver-demo">
-      <primary sortas="b-xscreensaver-demo">xscreensaver-demo</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-getimage">
-  <term><command>xscreensaver-getimage</command></term>
-  <listitem>
-    <para>is a helper program for the <command>xscreensaver</command>
+          <indexterm zone="xscreensaver xscreensaver-command">
+            <primary sortas="b-xscreensaver-command">xscreensaver-command</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-demo">
+        <term><command>xscreensaver-demo</command></term>
+        <listitem>
+          <para>is a graphical front-end for setting the parameters used 
+          by the background <command>xscreensaver</command> daemon.</para>
+          <indexterm zone="xscreensaver xscreensaver-demo">
+            <primary sortas="b-xscreensaver-demo">xscreensaver-demo</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-getimage">
+        <term><command>xscreensaver-getimage</command></term>
+        <listitem>
+          <para>is a helper program for the <command>xscreensaver</command>
           modules that manipulate images.</para>
-    <indexterm zone="xscreensaver xscreensaver-getimage">
-      <primary sortas="b-xscreensaver-getimaage">xscreensaver-getimage</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-getimage-file">
-  <term><command>xscreensaver-getimage-file</command></term>
-  <listitem>
-    <para>is a helper program for the <command>xscreensaver</command>
+          <indexterm zone="xscreensaver xscreensaver-getimage">
+            <primary sortas="b-xscreensaver-getimaage">xscreensaver-getimage</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-getimage-file">
+        <term><command>xscreensaver-getimage-file</command></term>
+        <listitem>
+          <para>is a helper program for the <command>xscreensaver</command>
           modules that manipulate images.</para>
-    <indexterm zone="xscreensaver xscreensaver-getimage-file">
-      <primary sortas="b-xscreensaver-getimaage-file">xscreensaver-getimage-file</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-getimage-video">
-  <term><command>xscreensaver-getimage-video</command></term>
-  <listitem>
-    <para>is a helper program for the <command>xscreensaver</command>
+          <indexterm zone="xscreensaver xscreensaver-getimage-file">
+            <primary sortas="b-xscreensaver-getimaage-file">xscreensaver-getimage-file</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-getimage-video">
+        <term><command>xscreensaver-getimage-video</command></term>
+        <listitem>
+          <para>is a helper program for the <command>xscreensaver</command>
           modules that manipulate images.</para>
-    <indexterm zone="xscreensaver xscreensaver-getimage-video">
-      <primary sortas="b-xscreensaver-getimaage-video">xscreensaver-getimage-video</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-<varlistentry id="xscreensaver-gl-helper">
-  <term><command>xscreensaver-gl-helper</command></term>
-  <listitem>
-    <para>is a helper program for the <command>xscreensaver</command> 
-       OpenGL modules.</para>
-    <indexterm zone="xscreensaver xscreensaver-gl-helper">
-      <primary sortas="b-xscreensaver-gl-helper">xscreensaver-gl-helper</primary>
-    </indexterm>
-  </listitem>
-</varlistentry>
-
-</variablelist>
-
-</sect2>
+          <indexterm zone="xscreensaver xscreensaver-getimage-video">
+            <primary sortas="b-xscreensaver-getimaage-video">xscreensaver-getimage-video</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+      
+      <varlistentry id="xscreensaver-gl-helper">
+        <term><command>xscreensaver-gl-helper</command></term>
+        <listitem>
+          <para>is a helper program for the <command>xscreensaver</command> 
+          OpenGL modules.</para>
+          <indexterm zone="xscreensaver xscreensaver-gl-helper">
+            <primary sortas="b-xscreensaver-gl-helper">xscreensaver-gl-helper</primary>
+          </indexterm>
+        </listitem>
+      </varlistentry>
+    
+    </variablelist>
+
+  </sect2>
+
 </sect1>