Index: general/prog/cbindgen.xml
===================================================================
--- general/prog/cbindgen.xml	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ general/prog/cbindgen.xml	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -7,8 +7,8 @@
   <!ENTITY cbindgen-download-http "https://github.com/eqrion/cbindgen/archive/v&cbindgen-version;/cbindgen-&cbindgen-version;.tar.gz">
   <!ENTITY cbindgen-download-ftp  " ">
-  <!ENTITY cbindgen-md5sum        "6d2ac26276c684dbb4afa7d3078c8eb6">
+  <!ENTITY cbindgen-md5sum        "f7def6112f5a26562b3b06c4018a218e">
   <!ENTITY cbindgen-size          "112 KB">
-  <!ENTITY cbindgen-buildsize     "89 MB (add 475 MB for tests) ">
-  <!ENTITY cbindgen-time          "0.9 SBU (Using paralleism=4; add 0.4 SBU tests)">
+  <!ENTITY cbindgen-buildsize     "89 MB (add 484 MB for tests) ">
+  <!ENTITY cbindgen-time          "0.8 SBU (Using paralleism=4; add 0.4 SBU tests)">
 ]>
 
Index: general/prog/gcc.xml
===================================================================
--- general/prog/gcc.xml	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ general/prog/gcc.xml	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -9,5 +9,5 @@
   <!ENTITY gcc-md5sum         "6069ae3737cf02bf2cb44a391ef0e937">
   <!ENTITY gcc-size           "67 MB">
-  <!ENTITY gcc-buildsize      "9.2 GB (2.1 GB installed with all listed languages; add 446 MB for tests)">
+  <!ENTITY gcc-buildsize      "9.2 GB (2.1 GB installed with all listed languages; add 823 MB for tests)">
   <!ENTITY gcc-time           "24 SBU (with parallelism=4, add 51 SBU for tests with parallelism=4)">
 ]>
Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ introduction/welcome/changelog.xml	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -46,4 +46,16 @@
       <para>May 4th, 2019</para>
       <itemizedlist>
+        <listitem>
+          <para>[bdubbs] - Update to xfsprogs-5.0.0. Fixes
+          <ulink url="&blfs-ticket-root;12017">#12017</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to v4l-utils-1.16.6. Fixes
+          <ulink url="&blfs-ticket-root;12019">#12019</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[bdubbs] - Update to cbindgen-0.8.5. Fixes
+          <ulink url="&blfs-ticket-root;12018">#12018</ulink>.</para>
+        </listitem>
         <listitem>
           <para>[timtas] - Update to dhcpcd-7.2.2. Fixes
Index: multimedia/libdriv/v4l-utils.xml
===================================================================
--- multimedia/libdriv/v4l-utils.xml	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ multimedia/libdriv/v4l-utils.xml	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -7,7 +7,7 @@
   <!ENTITY v4l-download-http "https://www.linuxtv.org/downloads/v4l-utils/v4l-utils-&v4l-utils-version;.tar.bz2">
   <!ENTITY v4l-download-ftp  " ">
-  <!ENTITY v4l-md5sum        "de272817133c0dca000a78a5c8c8ec8b">
+  <!ENTITY v4l-md5sum        "33892600fde632f428b807adda5e7402">
   <!ENTITY v4l-size          "1.8 MB">
-  <!ENTITY v4l-buildsize     "87 MB">
+  <!ENTITY v4l-buildsize     "90 MB">
   <!ENTITY v4l-time          "0.5 SBU (using parallelism=4)">
 ]>
Index: packages.ent
===================================================================
--- packages.ent	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ packages.ent	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -60,5 +60,5 @@
 <!ENTITY smartmontools-version        "7.0">
 <!ENTITY sshfs-version                "3.5.2">
-<!ENTITY xfsprogs-version             "4.20.0">
+<!ENTITY xfsprogs-version             "5.0.0">
 
 <!-- Chapter 6 -->
@@ -308,5 +308,5 @@
 <!ENTITY autoconf213-version          "2.13">
 <!ENTITY bazaar-version               "2.5.1">
-<!ENTITY cbindgen-version             "0.8.4">
+<!ENTITY cbindgen-version             "0.8.5">
 <!ENTITY check-version                "0.12.0">
 <!ENTITY clisp-version                "2.49">
@@ -958,5 +958,5 @@
 <!ENTITY speexdsp-version             "1.2rc3">
 <!ENTITY taglib-version               "1.11.1">
-<!ENTITY v4l-utils-version            "1.16.5">
+<!ENTITY v4l-utils-version            "1.16.6">
 <!ENTITY x264-version                 "20190209-2245">
 <!ENTITY x265-version                 "3.0">
Index: postlfs/filesystems/xfsprogs.xml
===================================================================
--- postlfs/filesystems/xfsprogs.xml	(revision 33e82b12eda85a35bbddc4d0ac4e6a97c7d9e746)
+++ postlfs/filesystems/xfsprogs.xml	(revision 653740126055b51664ca0f2bef70809deb06ce7a)
@@ -7,7 +7,7 @@
   <!ENTITY xfsprogs-download-http "&kernel-dl;/linux/utils/fs/xfs/xfsprogs/xfsprogs-&xfsprogs-version;.tar.xz">
   <!ENTITY xfsprogs-download-ftp  " ">
-  <!ENTITY xfsprogs-md5sum        "acd6640ecfc69a5328b61388093e9ba2">
+  <!ENTITY xfsprogs-md5sum        "b6acc4aa93a952595fc8f2e7447be6f2">
   <!ENTITY xfsprogs-size          "1.2 MB">
-  <!ENTITY xfsprogs-buildsize     "61 MB">
+  <!ENTITY xfsprogs-buildsize     "62 MB">
   <!ENTITY xfsprogs-time          "0.3 SBU (Using parallelism=4)">
 ]>