Index: x/lib/freeglut.xml
===================================================================
--- x/lib/freeglut.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/freeglut.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,5 +7,5 @@
   <!ENTITY freeglut-download-http "http://prdownloads.sourceforge.net/freeglut/freeglut-&freeglut-version;.tar.gz">
   <!ENTITY freeglut-download-ftp "ftp://ftp.freestandards.org/pub/lsb/app-battery/packages/freeglut-&freeglut-version;.tar.gz">
-  <!ENTITY freeglut-md5sum        " ">
+  <!ENTITY freeglut-md5sum        "9439b8745f443131c2dad00bc93dc0ef">
   <!ENTITY freeglut-size          "379 KB">
   <!ENTITY freeglut-buildsize     "6.0 MB">
@@ -32,10 +32,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing="compact">
-<listitem><para>Download (HTTP): <ulink url="&freeglut-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&freeglut-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&freeglut-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&freeglut-download-ftp;"/></para></listitem>
 <listitem><para>Download MD5 sum: &freeglut-md5sum;</para></listitem>
 <listitem><para>Download size: &freeglut-size;</para></listitem>
-<listitem><para>Estimated disk space required: &freeglut-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &freeglut-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&freeglut-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&freeglut-time;</para></listitem></itemizedlist>
 </sect3>
 
Index: x/lib/gtk+.xml
===================================================================
--- x/lib/gtk+.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/gtk+.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,4 +7,5 @@
   <!ENTITY GTK-download-http "http://gd.tuwien.ac.at/graphics/gimp/gtk/v1.2/gtk+-&GTK-version;.tar.gz">
   <!ENTITY GTK-download-ftp  "ftp://ftp.gtk.org/pub/gtk/v1.2/gtk+-&GTK-version;.tar.gz">
+  <!ENTITY GTK-md5sum        "4d5cb2fc7fb7830e4af9747a36bfce20">
   <!ENTITY GTK-size          "2.7 MB">
   <!ENTITY GTK-buildsize     "54 MB">
@@ -20,6 +21,6 @@
 
 <sect2>
-<title>Introduction to <application><acronym>GTK</acronym>+</application>
-</title>
+<title>Introduction to 
+<application><acronym>GTK</acronym>+</application></title>
 
 <para>The <application>GTK+</application> package contains
@@ -29,17 +30,24 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&GTK-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&GTK-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&GTK-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&GTK-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &GTK-md5sum;</para></listitem>
 <listitem><para>Download size: &GTK-size;</para></listitem>
-<listitem><para>Estimated disk space required: &GTK-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &GTK-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&GTK-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&GTK-time;</para></listitem></itemizedlist>
 </sect3>
 
-<sect3><title><application><acronym>GTK</acronym>+</application> dependencies
-</title>
+<sect3><title><application><acronym>GTK</acronym>+</application> 
+dependencies</title>
 <sect4><title>Required</title>
-<para><xref linkend="GLib"/>, <xref
-linkend="libtiff"/>, <xref linkend="libjpeg"/>
-and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para></sect4>
+<para><xref linkend="GLib"/>, 
+<xref linkend="libtiff"/>, 
+<xref linkend="libjpeg"/> 
+and X (<xref linkend="xfree86"/> or <xref linkend="xorg"/>)</para>
+</sect4>
 </sect3>
 
@@ -47,6 +55,6 @@
 
 <sect2>
-<title>Installation of <application><acronym>GTK</acronym>+</application>
-</title>
+<title>Installation of 
+<application><acronym>GTK</acronym>+</application></title>
 
 <para>Install <application><acronym>GTK</acronym>+</application> by running 
Index: x/lib/hicolor-icon-theme.xml
===================================================================
--- x/lib/hicolor-icon-theme.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/hicolor-icon-theme.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,10 +7,12 @@
   <!ENTITY hicolor-icon-theme-download-http "http://freedesktop.org/software/icon-theme/releases/hicolor-icon-theme-&hicolor-icon-theme-version;.tar.gz">
   <!ENTITY hicolor-icon-theme-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/hicolor-icon-theme-&hicolor-icon-theme-version;.tar.gz">
+  <!ENTITY hicolor-icon-theme-md5sum        "947c7f6eb68fd95c7b86e87f853ceaa0">
+  <!ENTITY hicolor-icon-theme-size          "32 KB">
   <!ENTITY hicolor-icon-theme-buildsize     "1.1 MB">
-  <!ENTITY hicolor-icon-theme-size          "32 KB">
   <!ENTITY hicolor-icon-theme-time          "0.01 SBU">
 ]>
 
-<sect1 id="hicolor-icon-theme" xreflabel="hicolor-icon-theme-&hicolor-icon-theme-version;">
+<sect1 id="hicolor-icon-theme" 
+xreflabel="hicolor-icon-theme-&hicolor-icon-theme-version;">
 <sect1info>
 <othername>$LastChangedBy$</othername>
@@ -29,9 +31,16 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&hicolor-icon-theme-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&hicolor-icon-theme-download-ftp;"/></para></listitem>
-<listitem><para>Download size: &hicolor-icon-theme-size;</para></listitem>
-<listitem><para>Estimated disk space required: &hicolor-icon-theme-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &hicolor-icon-theme-time;</para></listitem></itemizedlist>
+<listitem><para>Download (HTTP): 
+<ulink url="&hicolor-icon-theme-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&hicolor-icon-theme-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: 
+&hicolor-icon-theme-md5sum;</para></listitem>
+<listitem><para>Download size: 
+&hicolor-icon-theme-size;</para></listitem>
+<listitem><para>Estimated disk space required: 
+&hicolor-icon-theme-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&hicolor-icon-theme-time;</para></listitem></itemizedlist>
 </sect3>
 
Index: x/lib/lesstif.xml
===================================================================
--- x/lib/lesstif.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/lesstif.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,5 +7,5 @@
   <!ENTITY lesstif-download-http "http://prdownloads.sourceforge.net/lesstif/lesstif-&lesstif-version;.tar.bz2">
   <!ENTITY lesstif-download-ftp  " ">
-  <!ENTITY lesstif-md5sum        " ">
+  <!ENTITY lesstif-md5sum        "20f38a06c863e0c51ca0c862ef039601">
   <!ENTITY lesstif-size          "2.4 MB">
   <!ENTITY lesstif-buildsize     "109.9 MB (includes building test suite)">
@@ -29,10 +29,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&lesstif-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&lesstif-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&lesstif-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&lesstif-download-ftp;"/></para></listitem>
 <listitem><para>Download MD5 sum: &lesstif-md5sum;</para></listitem>
 <listitem><para>Download size: &lesstif-size;</para></listitem>
-<listitem><para>Estimated disk space required: &lesstif-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &lesstif-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&lesstif-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&lesstif-time;</para></listitem></itemizedlist>
 </sect3>
 
Index: x/lib/libxklavier.xml
===================================================================
--- x/lib/libxklavier.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/libxklavier.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,4 +7,5 @@
   <!ENTITY libxklavier-download-http "http://prdownloads.sourceforge.net/gswitchit/libxklavier-&libxklavier-version;.tar.gz">
   <!ENTITY libxklavier-download-ftp  " ">
+  <!ENTITY libxklavier-md5sum        "1a4c6b95bc74bccaf5a7e394f928a54f">
   <!ENTITY libxklavier-size          "425 KB">
   <!ENTITY libxklavier-buildsize     "6.0 MB">
@@ -28,9 +29,14 @@
 <sect3><title>Package information</title>
 <itemizedlist spacing='compact'>
-<listitem><para>Download (HTTP): <ulink url="&libxklavier-download-http;"/></para></listitem>
-<listitem><para>Download (FTP): <ulink url="&libxklavier-download-ftp;"/></para></listitem>
+<listitem><para>Download (HTTP): 
+<ulink url="&libxklavier-download-http;"/></para></listitem>
+<listitem><para>Download (FTP): 
+<ulink url="&libxklavier-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: &libxklavier-md5sum;</para></listitem>
 <listitem><para>Download size: &libxklavier-size;</para></listitem>
-<listitem><para>Estimated disk space required: &libxklavier-buildsize;</para></listitem>
-<listitem><para>Estimated build time: &libxklavier-time;</para></listitem></itemizedlist>
+<listitem><para>Estimated disk space required: 
+&libxklavier-buildsize;</para></listitem>
+<listitem><para>Estimated build time: 
+&libxklavier-time;</para></listitem></itemizedlist>
 </sect3>
 
Index: x/lib/shared-mime-info.xml
===================================================================
--- x/lib/shared-mime-info.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/shared-mime-info.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,6 +7,7 @@
   <!ENTITY shared-mime-info-download-http "http://freedesktop.org/software/shared-mime-info/shared-mime-info-&shared-mime-info-version;.tar.gz">
   <!ENTITY shared-mime-info-download-ftp  "ftp://ftp.fu-berlin.de/unix/linux/mirrors/gentoo/distfiles/shared-mime-info-&shared-mime-info-version;.tar.gz">
+  <!ENTITY shared-mime-info-md5sum        "51793b041edc68717c3f87e26a4bc087">
+  <!ENTITY shared-mime-info-size          "422 KB">
   <!ENTITY shared-mime-info-buildsize     "4.4 MB">
-  <!ENTITY shared-mime-info-size          "422 KB">
   <!ENTITY shared-mime-info-time          "0.03 SBU">
 ]>
@@ -34,4 +35,6 @@
 <listitem><para>Download (FTP): 
 <ulink url="&shared-mime-info-download-ftp;"/></para></listitem>
+<listitem><para>Download MD5 sum: 
+&shared-mime-info-md5sum;</para></listitem>
 <listitem><para>Download size: 
 &shared-mime-info-size;</para></listitem>
Index: x/lib/startup-notification.xml
===================================================================
--- x/lib/startup-notification.xml	(revision 7e03824d703119eb2126d8a40cd3f29ff4ab2542)
+++ x/lib/startup-notification.xml	(revision 694412898788b794643e722d9b7da2e820b5f7e9)
@@ -7,5 +7,5 @@
   <!ENTITY startup-notification-download-http "http://www.freedesktop.org/software/startup-notification/releases/startup-notification-&startup-notification-version;.tar.gz">
   <!ENTITY startup-notification-download-ftp  "ftp://ftp.linux.org.uk/pub/linux/GNOME/sources/startup-notification/&startup-notification-version;/startup-notification-&startup-notification-version;.tar.bz2">
-  <!ENTITY startup-notification-md5sum        "N/A">
+  <!ENTITY startup-notification-md5sum        "9bba52ffe8c096cfeeaf7a1dcd9b943d">
   <!ENTITY startup-notification-size          "335 KB">
   <!ENTITY startup-notification-buildsize     "3.3 MB">
@@ -13,5 +13,6 @@
 ]>
 
-<sect1 id="startup-notification" xreflabel="startup-notification-&startup-notification-version;">
+<sect1 id="startup-notification" 
+xreflabel="startup-notification-&startup-notification-version;">
 <sect1info>
 <othername>$LastChangedBy$</othername>
@@ -35,6 +36,8 @@
 <listitem><para>Download (FTP): 
 <ulink url="&startup-notification-download-ftp;"/></para></listitem>
-<listitem><para>Download MD5 sum: &startup-notification-md5sum;</para></listitem>
-<listitem><para>Download size: &startup-notification-size;</para></listitem>
+<listitem><para>Download MD5 sum: 
+&startup-notification-md5sum;</para></listitem>
+<listitem><para>Download size: 
+&startup-notification-size;</para></listitem>
 <listitem><para>Estimated disk space required: 
 &startup-notification-buildsize;</para></listitem>