Index: introduction/welcome/changelog.xml
===================================================================
--- introduction/welcome/changelog.xml	(revision 809c6b5eb53b43352bdf88cfa99a10bcd0fdb49d)
+++ introduction/welcome/changelog.xml	(revision 70365771214d29ccc45f85f28bc811a8f3f1e87b)
@@ -43,4 +43,8 @@
       <itemizedlist>
         <listitem>
+          <para>[pierre] - Update to gtk+-3.24.36. Fixes
+          <ulink url="&blfs-ticket-root;17344">#17344</ulink>.</para>
+        </listitem>
+        <listitem>
           <para>[renodr] - Fix building Seahorse with GnuPG-2.4.</para>
         </listitem>
Index: packages.ent
===================================================================
--- packages.ent	(revision 809c6b5eb53b43352bdf88cfa99a10bcd0fdb49d)
+++ packages.ent	(revision 70365771214d29ccc45f85f28bc811a8f3f1e87b)
@@ -691,5 +691,5 @@
 <!ENTITY graphene-version             "1.10.8">
 <!ENTITY gtk2-version                 "2.24.33">
-<!ENTITY gtk3-version                 "3.24.34">
+<!ENTITY gtk3-version                 "3.24.36">
 <!ENTITY gtk4-minor                   "4.8">
 <!ENTITY gtk4-version                 "&gtk4-minor;.2">
Index: x/lib/gtk+3.xml
===================================================================
--- x/lib/gtk+3.xml	(revision 809c6b5eb53b43352bdf88cfa99a10bcd0fdb49d)
+++ x/lib/gtk+3.xml	(revision 70365771214d29ccc45f85f28bc811a8f3f1e87b)
@@ -7,8 +7,8 @@
   <!ENTITY gtk3-download-http "&gnome-download-http;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
   <!ENTITY gtk3-download-ftp  "&gnome-download-ftp;/gtk+/&gnome-minor-24;/gtk+-&gtk3-version;.tar.xz">
-  <!ENTITY gtk3-md5sum        "7e024190949d9071f9d72b0d559379e1">
-  <!ENTITY gtk3-size          "21 MB">
-  <!ENTITY gtk3-buildsize     "440 MB (add 8 MB for tests)">
-  <!ENTITY gtk3-time          "1.7 SBU (using parallelism=4, add 0.3 SBU for tests)">
+  <!ENTITY gtk3-md5sum        "fd4571a112ffaa2fbbb9d25de8f5b6c0">
+  <!ENTITY gtk3-size          "12 MB">
+  <!ENTITY gtk3-buildsize     "290 MB (add 3 MB for tests)">
+  <!ENTITY gtk3-time          "0.9 SBU (using parallelism=4, add 0.5 SBU for tests)">
 ]>
 
@@ -82,7 +82,9 @@
       <xref linkend="adwaita-icon-theme"/> (default for some gtk+3 settings
       keys, also needed for tests),
+      <xref linkend="docbook-xsl"/> (for generating manual pages),
       <xref linkend="hicolor-icon-theme"/> (needed for tests),
       <xref linkend="iso-codes"/>,
       <xref linkend="libxkbcommon"/>,
+      <xref linkend="libxslt"/> (for generating manual pages),
       <xref linkend="sassc"/>,
       <xref linkend="wayland"/>, and
@@ -99,5 +101,4 @@
       <xref linkend="colord"/>,
       <xref linkend="cups"/>,
-      <xref linkend="docbook-utils"/>,
       <xref linkend="gtk-doc"/>,
       <xref linkend="pyatspi2"/> (for tests), and
@@ -118,14 +119,12 @@
     </para>
 
-<!-- There is a meson port available, but upstream's official recommendation
-     is to use autotools, and is the only officially supported build system.
-     See ticket #13459 for more details.-->
-
-<screen><userinput>./configure --prefix=/usr              \
-            --sysconfdir=/etc          \
-            --enable-broadway-backend  \
-            --enable-x11-backend       \
-            --enable-wayland-backend   &amp;&amp;
-make</userinput></screen>
+    <screen><userinput>mkdir build &amp;&amp;
+cd    build &amp;&amp;
+meson setup --prefix=/usr           \
+            --buildtype=release     \
+            -Dman=true              \
+            -Dbroadway_backend=true \
+            .. &amp;&amp;
+ninja</userinput></screen>
 
     <para>
@@ -140,18 +139,6 @@
     <para>
       To test the results you need a graphical session, then issue
-      <command>make check</command>. <!--There are several tests that
-      have subtests that are known to fail: scrolledwindow, treeview,
-      accessibility-dump, test-css-nodes, and gtk-reftest.
-      Additionally many tests will fail if the current
-      gtk theme (such as current XFCE themes) has deprecated elements.
-      The accessibility portion of the test suite (7 tests) is known
-      to fail.
-      [pierre Sep 5th, 2020]: not for me for version 3.24.23, but I have
-      other failures: display, and subtests in defaultvalue, objects-finalize,
-      window, and gtk-reftest.
-      [bdubbs Mar 3rd, 2011 Just two tests fail now. -->
-      <!--The accessibility-dump test has subtests that are known to fail.
-      The gtk-reftest suite has two tests that are known to fail as well.-->
-      Several tests associated with scrolledwindow are known to fail.
+      <command>ninja test</command>. Two tests may fail because the time out
+      setting is too short.
     </para>
 
@@ -160,10 +147,10 @@
     </para>
 
-<screen role="root"><userinput>make install</userinput></screen>
+<screen role="root"><userinput>ninja install</userinput></screen>
 
     <note>
       <para>
         If you installed the package on to your system using a
-c        <quote>DESTDIR</quote> method, an important file was not installed and
+        <quote>DESTDIR</quote> method, an important file was not installed and
         must be copied and/or generated. Generate it using the following
         command as the <systemitem class="username">root</systemitem> user:
@@ -180,42 +167,8 @@
     <title>Command Explanations</title>
 
-    <!-- MESON ONLY
     <para>
       <parameter>-Dbroadway_backend=true</parameter>: This switch enables the
       HTML5 GTK backend.
     </para>
-    -->
-
-    <para>
-      <parameter>--enable-broadway-backend</parameter>: This switch enables the
-      HTML5 GTK backend.
-    </para>
-
-    <para>
-      <parameter>--enable-x11-backend</parameter>: This switch enables the X11
-      GDK backend.
-    </para>
-
-    <para>
-      <parameter>--enable-wayland-backend</parameter>: This switch
-      enables the Wayland GDK backend. Replace with
-      <option>--disable-wayland-backend</option> if you do not have
-      <xref linkend="wayland"/> and <xref linkend="wayland-protocols"/>
-      or you do not wish to build <application>GNOME</application> with Wayland
-      support.  Other changes may be needed to allow the build to complete
-      without the wayland backend enabled.  Note that a previous installation
-      of gtk+3 built with wayland will interfere with installation without
-      wayland.  If this is desired, remove /usr/lib/libgtk-3* before
-      installation.
-    </para>
-
-    <xi:include xmlns:xi="http://www.w3.org/2001/XInclude"
-      href="../../xincludes/gtk-doc-rebuild.xml"/>
-
-    <!-- MESON ONLY
-    <para>
-      <parameter>-Dcolord=yes</parameter>: This switch allows color support
-      in the GTK+ printing backend.
-    </para>
 
     <para>
@@ -225,9 +178,7 @@
 
     <para>
-      <parameter>-Dgtk_doc=false</parameter>: This switch disables building
-      documentation. Replace with -Dgtk_doc=true if you have
-      <xref linkend="gtk-doc"/> installed and wish to generate documentation.
-    </para>
-    -->
+      <option>-Dgtk_doc=true</option>: This switch enables building
+      documentation. It requires <xref linkend="gtk-doc"/>.
+    </para>
 
   </sect2>
@@ -340,6 +291,5 @@
           /etc/gtk-3.0,
           /usr/include/{gail,gtk}-3.0,
-          /usr/{lib,share}/gtk-3.0,
-          /usr/share/gtk-doc/html/{gail-libgail-util,gdk,gtk}3, and
+          /usr/{lib,share}/gtk-3.0, and
           /usr/share/themes/{Default,Emacs}/gtk-3.0
         </seg>